# Table of contents

* [What is Concrete-core?](README.md)

## Getting Started

* [Quick Start](getting\_started/quick\_start.md)
* [Supported Data Types](getting\_started/supported\_data\_types.md)
* [Supported Operations](getting\_started/supported\_operations.md)

## General concepts

* [API Structure](general\_concepts/api\_structure.md)
* [Memory Management](general\_concepts/memory\_management.md)

## Backends

* [Activating Backends](backends/activating\_backends.md)
* [Default Backend](backends/backend\_default.md)
* [FFT Backend](backends/backend\_fft.md)
* [Cuda Backend](backends/backend\_cuda.md)

## API reference

* [docs.rs](https://docs.rs/concrete-core/1.0.1/concrete\_core/index.html)
* [Using Concrete-core from C](api\_reference/concrete-core-ffi.md)
* [Using Concrete-core from Javascript](api\_reference/concrete-core-wasm.md)

## Adding a new Backend

* [Creating a Backend](how\_to/creating\_backends.md)
* [Testing a Backend](how\_to/testing\_backends.md)
* [Benchmarking a Backend](how\_to/benchmarking\_backends.md)
